Bug 50872 - [maintainer-update] ports/sysutils/file 3.41 -> 4.02
[maintainer-update] ports/sysutils/file 3.41 -> 4.02
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-12 18:00 UTC by jharris
Modified: 2003-04-12 21:14 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2003-04-12 18:00:30 UTC
	update ports/sysutils/file from 3.41 to 4.02, which adds
	libmagic.{a,so}

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

? work
? owork
cvs server: Diffing .


iD8DBQE+mEO6SypIl9OdoOMRAu1yAKDXMSmfrOWGs7JrEQ24XnwMWAxzTgCfYKs9
uw3Pt2n0FgyrXPgL5YsWKtI=
=rhmo
-----END PGP SIGNATURE-------5iwR1Pflcpb2XyWGZ4K51RQLCIesSIyeFuPlE2E9guLM0Wtj
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- Makefile	2003/03/10 22:18:42	1.6
+++ Makefile	2003/04/12 16:49:32
@@ -6,12 +6,12 @@
 #
 
 PORTNAME=	file
-PORTVERSION=	3.41
+PORTVERSION=	4.02
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.astron.com/pub/file/ \
 		ftp://ftp.gw.com/mirrors/pub/unix/file/ \
-		ftp://ftp.netsw.org/system/tools/fileutils/find/ \
 		ftp://ftp.fu-berlin.de/unix/tools/file/
+#		ftp://ftp.netsw.org/system/tools/fileutils/find/
 
 MAINTAINER=	jharris@widomaker.com
 COMMENT=	File - determine file type
@@ -19,6 +19,7 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-fsect-man5
 MAN1=		file.1
+MAN3=		libmagic.3
 MAN5=		magic.5
 
 # The rules below are required to suppress invocations of aclocal, automake,
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	2003/03/10 22:18:42	1.4
+++ distinfo	2003/04/12 16:49:32
@@ -1 +1 @@
-MD5 (file-3.41.tar.gz) = 1d9ac92fa1da3043a67c9445bb140824
+MD5 (file-4.02.tar.gz) = 5a853ecdf3b440915bda1d1a03240a5f
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	2002/05/28 09:46:36	1.2
+++ pkg-plist	2003/04/12 16:49:32
@@ -1,5 +1,11 @@
 bin/file
-share/magic
-share/magic.mime
-share/magic.mgc
-share/magic.mime.mgc
+lib/libmagic.so.1
+lib/libmagic.so
+lib/libmagic.la
+lib/libmagic.a
+include/magic.h
+share/file/magic
+share/file/magic.mime
+share/file/magic.mgc
+share/file/magic.mime.mgc
+@dirrm share/file
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (FreeBSD)
How-To-Repeat: 
	apply patch below, fix problem of lib/libmagic.so.1.0 being
	orphaned, if possible (my pkg_* tools remove the trailing .0)
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-12 21:14:38 UTC
State Changed
From-To: open->closed

Committed, thanks